aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.DeleteAccessKey

Synopsis

- data DeleteAccessKey = DeleteAccessKey {
  - dakAccessKeyId :: Text
  - dakUserName :: Maybe Text
  }
- data DeleteAccessKeyResponse = DeleteAccessKeyResponse

# Documentation

data DeleteAccessKey #

Deletes the access key associated with the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteAccessKey.html

Constructors

DeleteAccessKey |

Fields

- dakAccessKeyId :: Text

  ID of the access key to be deleted.

- dakUserName :: Maybe Text

  User name with which the access key is associated.

#### Instances

Instances details

SignQuery DeleteAccessKey # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Associated Types

type ServiceConfiguration DeleteAccessKey |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ServiceConfiguration DeleteAccessKey = IamConfiguration

Methods

signQuery :: DeleteAccessKey -> ServiceConfiguration DeleteAccessKey queryType -> SignatureData -> SignedQuery #

Show DeleteAccessKey # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey Methods showsPrec :: Int -> DeleteAccessKey -> ShowS # show :: DeleteAccessKey -> String # showList :: [DeleteAccessKey] -> ShowS #
Eq DeleteAccessKey # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey Methods (==) :: DeleteAccessKey -> DeleteAccessKey -> Bool # (/=) :: DeleteAccessKey -> DeleteAccessKey -> Bool #
Ord DeleteAccessKey # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Methods

compare :: DeleteAccessKey -> DeleteAccessKey -> Ordering #

(<) :: DeleteAccessKey -> DeleteAccessKey -> Bool #

(<=) :: DeleteAccessKey -> DeleteAccessKey -> Bool #

(>) :: DeleteAccessKey -> DeleteAccessKey -> Bool #

(>=) :: DeleteAccessKey -> DeleteAccessKey -> Bool #

max :: DeleteAccessKey -> DeleteAccessKey -> DeleteAccessKey #

min :: DeleteAccessKey -> DeleteAccessKey -> DeleteAccessKey #

ResponseConsumer DeleteAccessKey DeleteAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Associated Types

type ResponseMetadata DeleteAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ResponseMetadata DeleteAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteAccessKey -> IORef (ResponseMetadata DeleteAccessKeyResponse) -> HTTPResponseConsumer DeleteAccessKeyResponse #

Transaction DeleteAccessKey DeleteAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey
type ServiceConfiguration DeleteAccessKey # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ServiceConfiguration DeleteAccessKey = IamConfiguration

data DeleteAccessKeyResponse #

Constructors

DeleteAccessKeyResponse |

#### Instances

Instances details

AsMemoryResponse DeleteAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Associated Types

type MemoryResponse DeleteAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type MemoryResponse DeleteAccessKeyResponse = DeleteAccessKeyResponse

Methods

loadToMemory :: DeleteAccessKeyResponse -> ResourceT IO (MemoryResponse DeleteAccessKeyResponse) #

Show DeleteAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey Methods showsPrec :: Int -> DeleteAccessKeyResponse -> ShowS # show :: DeleteAccessKeyResponse -> String # showList :: [DeleteAccessKeyResponse] -> ShowS #
Eq DeleteAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey Methods (==) :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Bool # (/=) :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Bool #
Ord DeleteAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Methods

compare :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Ordering #

(<) :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Bool #

(<=) :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Bool #

(>) :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Bool #

(>=) :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> Bool #

max :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> DeleteAccessKeyResponse #

min :: DeleteAccessKeyResponse -> DeleteAccessKeyResponse -> DeleteAccessKeyResponse #

ResponseConsumer DeleteAccessKey DeleteAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Associated Types

type ResponseMetadata DeleteAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ResponseMetadata DeleteAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteAccessKey -> IORef (ResponseMetadata DeleteAccessKeyResponse) -> HTTPResponseConsumer DeleteAccessKeyResponse #

Transaction DeleteAccessKey DeleteAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey
type MemoryResponse DeleteAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type MemoryResponse DeleteAccessKeyResponse = DeleteAccessKeyResponse
type ResponseMetadata DeleteAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ResponseMetadata DeleteAccessKeyResponse = IamMetadata